List wallets
List the wallets associated with a Moov account.
Read our Moov wallets guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/wallets.read scope.
GET
/accounts/{accountID}/wallets
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.01.00"mc, _ := moov.NewClient()
var accountID string
mc.ListWallets(ctx, accountID)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.wallets.list({
skip: 60,
count: 20,
accountID: "25221c3c-8e3f-40db-8570-66d17b51014d",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$request = new Operations\ListWalletsRequest(
skip: 60,
count: 20,
accountID: '25221c3c-8e3f-40db-8570-66d17b51014d',
);
$response = $sdk->wallets->list(
request: $request
);
if ($response->wallets !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.ListWalletsValidationError;
import io.moov.sdk.models.operations.ListWalletsRequest;
import io.moov.sdk.models.operations.ListWalletsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws ListWalletsValidationError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListWalletsRequest req = ListWalletsRequest.builder()
.accountID("25221c3c-8e3f-40db-8570-66d17b51014d")
.skip(60L)
.count(20L)
.build();
ListWalletsResponse res = sdk.wallets().list()
.request(req)
.call();
if (res.wallets().isPresent()) {
System.out.println(res.wallets().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.wallets.list(account_id="25221c3c-8e3f-40db-8570-66d17b51014d", skip=60, count=20)
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
req = Models::Operations::ListWalletsRequest.new(
skip: 60,
count: 20,
account_id: '25221c3c-8e3f-40db-8570-66d17b51014d'
)
res = s.wallets.list(request: req)
unless res.wallets.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
ListWalletsRequest req = new ListWalletsRequest() {
Skip = 60,
Count = 20,
AccountID = "25221c3c-8e3f-40db-8570-66d17b51014d",
};
var res = await sdk.Wallets.ListAsync(req);
// handle responseThe request completed successfully.
[
{
"walletID": "string",
"availableBalance": {
"currency": "USD",
"value": 1204,
"valueDecimal": "string"
},
"partnerAccountID": "string",
"name": "string",
"status": "active",
"walletType": "default",
"description": "string",
"metadata": {
"optional": "metadata"
},
"createdOn": "2019-08-24T14:15:22Z",
"closedOn": "2019-08-24T14:15:22Z"
}
]Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"status": "string",
"walletType": "string",
"skip": "string",
"count": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.01.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.01.00
Path parameters
accountID
string
required
Query parameters
status
string
Optional parameter for filtering wallets by status.
Possible values:
active,
closed
walletType
string
Optional parameter for filtering wallets by type.
Possible values:
default,
general
skip
integer
<int64>
count
integer
<int64>
Default:
200Response
availableBalance
object
Show child attributes
currency
string
required
Pattern
A 3-letter ISO 4217 currency code.
value
integer<int64>
required
Quantity in the smallest unit of the specified currency.
In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.
valueDecimal
string
required
Pattern
closedOn
string<date-time>
createdOn
string<date-time>
description
string
Description of the wallet
metadata
object
Free-form key-value pair list. Useful for storing information that is not captured elsewhere.
name
string
Name of the wallet
partnerAccountID
string
status
string<enum>
Status of a wallet.
active: The wallet is available for use and has an enabled payment method.closed: The wallet is no longer active and the corresponding payment method has been disabled.
Possible values:
active,
closed
walletID
string
walletType
string<enum>
Type of a wallet.
default: The system-generated wallet automatically created when an account is granted the wallet capability.general: An additional, user-defined wallet created via API or Dashboard.
Possible values:
default,
general